ADDUSER(8)

NAZWA
adduser, addgroup - dodaje użytkownika lub grupę do systemu

SKŁADNIA
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] user

adduser --system [opcje] [--home KATALOG] [--shell POWŁOKA] [--no-create-home] [--uid ID] [--group | --ingroup GRUPA | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] użytkownik

addgroup [opcje] [--gid ID] grupa

addgroup --system [opcje] [--gid ID] grupa

adduser [opcje] użytkownik grupa

  WSPÓLNE OPCJE
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf PLIK]

OPIS

adduser and addgroup add users and groups to the system according to command line options and configuration information in /etc/adduser.conf. They are friendlier front ends to the low level tools like useradd, groupadd and usermod programs, by default choosing Debian policy conformant UID and GID values, creating a home directory with skeletal configuration, running a custom script, and other features. adduser and addgroup can be run in one of five modes:

  Dodawanie zwykłych użytkowników
adduser, wywołany z jednym argumentem nie będącym opcją oraz bez opcji --system lub --group, doda zwykłego użytkownika. adduser wybierze pierwszy możliwy UID z zakresu przeznaczonego dla zwykłych użytkowników w pliku konfiguracyjnym. Ten UID może zostać nadpisany za pomocą opcji --uid. Zakres określony w pliku konfiguracyjnym również może zostać nadpisany opcjami --firstuid i --lastuid. By default, each user in Debian GNU/Linux is given a corresponding group with the same name. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' primary groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. Also, users can be added to one or more groups defined in adduser.conf either by setting ADD_EXTRA_GROUPS to 1 in adduser.conf, or by passing --add_extra_groups on the commandline. adduser utworzy katalog domowy użytkownika zgodnie z ustawieniami DHOME, GROUPHOMES, LETTERHOMES w pliku konfiguracyjnym. Katalog domowy może zostać nadpisany przez opcję linii poleceń --home, a powłoka - przez opcję --shell. Jeżeli USERGROUPS jest ustawione na yes, to katalogowi domowemu użytkownika zostanie nadany bit set-group-ID, co powoduje, że jakikolwiek plik utworzony w tym katalogu będzie miał przydzieloną właściwą grupę. adduser skopiuje pliki z katalogu SKEL do katalogu domowego użytkownika, poprosi o dane użytkownika (GECOS) oraz o hasło. Dane użytkownika mogą być także ustawione opcją --gecos. Podanie opcji --disabled-login spowoduje utworzenie konta użytkownika, które będzie niedostępne (zablokowane), dopóki nie zostanie ustawione hasło. Opcja --disabled-password nie ustawi hasła, ale dostęp użytkownika do systemu będzie możliwy (na przykład przez użycie programu SSH z kluczami RSA). Po utworzeniu i ustawieniu konta użytkownika, jeżeli istnieje plik /usr/local/sbin/adduser.local, to zostanie on uruchomiony w celu wykonania lokalnych ustawień. Argumenty przekazywane do adduser.local są nastepujące:
nazwa-użytkownika uid gid katalog-domowy
Zmienna środowiskowa VERBOSE jest ustawiana na:

0, jeśli podano opcję --quiet

1, jeśli nie podano żadnej z opcji --quiet i --debug

2, jeśli podano opcję --debug
    (To samo dotyczy zmiennej DEBUG, jednak ta zmienna jest przestarzała i zostanie usunięta w którejś z przyszłych wesji programu adduser).

  Dodawanie użytkowników systemowych
adduser, gdy zostanie uruchomiony z jednym argumentem, nie będącym opcją, oraz z opcją --system, doda użytkownika systemowego. Jeżeli taki użytkownik z identyfikatorem użytkownika (uid) mieszczącym się w zakresie identyfikatorów użytkowników systemowych (lub jeżeli uid jest podany w linii poleceń, to z tym identyfikatorem) już istnieje, adduser wyświetli ostrzeżenie i zakończy działanie. adduser will choose the first available UID from the range specified for system users in the configuration file (FIRST_SYSTEM_UID and LAST_SYSTEM_UID). If you want to have a specific UID, you can specify it using the --uid option. Domyślnie użytkownicy systemowi mają przypisaną grupę nogroup. Aby przypisać nowego użytkownika systemowego do istniejącej grupy, należy użyć opcji --gid lub --ingroup. Aby nowemu użytkownikowi systemowemu została przypisana nowa grupa z tym samym identyfikatorem, trzeba użyć opcji --group. Katalog domowy jest tworzony zgodnie z tymi samymi zasadami, co dla zwykłych użytkowników. Nowy użytkownik systemowy będzie miał powłokę /bin/false (chyba że zostanie to nadpisane opcją --shell) oraz wyłączone hasło. Pliki z katalogu SKEL nie zostaną skopiowane.

  Dodawanie zwykłych grup
Jeżeli adduser zostanie uruchomiony z opcją --group, ale bez opcji --system, lub jako program addgroup, to zostanie dodana grupa dla zwykłych użytkowników. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_GID, LAST_GID). To override that mechanism you can give the GID using the --gid option. Utworzenie grupy nie powoduje przypisania do niej żadnych użytkowników.

  Dodawanie grup systemowych
Jeżeli addgroup zostanie wywołany z opcją --system, to będzie utworzona nowa grupa systemowa. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). To override that mechanism you can give the GID using the --gid option. Utworzenie grupy nie powoduje przypisania do niej żadnych użytkowników.

  Przydzielanie istniejącego użytkownika do istniejącej grupy
adduser wywołany z dwoma argumentami nie będącymi opcjami doda istniejącego użytkownika do istniejącej grupy.

OPCJE

--conf PLIK
    Użyje pliku PLIK zamiast /etc/adduser.conf.

--disabled-login
    Nie uruchamia programu passwd do ustanowienia hasła. Użytkownik nie będzie mógł używać swojego konta, dopóki hasło nie zostanie nadane.

--disabled-password
    Jak --disabled-login, ale dostęp użytkownika do systemu będzie wciąż możliwy (na przykład przez użycie kluczy SSH RSA), ale bez autoryzacji za pomocą hasła.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Set the gecos field for the new entry generated. adduser will not ask for finger information if this option is given.

--gid ID
    Przy tworzeniu nowej grupy, ta opcja ustawia identyfikator grupy na podaną wartość. Przy tworzeniu użytkownika, użycie tej opcji spowoduje umieszczenie użytkownika w zadanej grupie.

--group
    Użyte razem z --system, spowoduje utworzenie grupy o takiej samej nazwie i identyfikatorze, jak nowo tworzony użytkownik systemowy. Jeżeli nie zostanie użyte razem z opcją --system, to zostanie utworzone grupa o podanej nazwie. Ta opcja jest opcją domyślną, jeżeli program został wywołany jako addgroup.

--help
    Wyświetla krótką instrukcję używania programu.

--home KATALOG
    Używa katalogu KATALOG jako katalogu domowego użytkownika, nadpisując tym samym domyślną wartość określoną w pliku konfiguracyjnym. Jeżeli ten katalog nie istnieje, to będzie utworzony i zostaną skopiowane pliki z katalogu SKEL.

--shell POWŁOKA
    Ustawia POWŁOKĘ jako powłokę logowania użytkownika, nadpisując domyślną wartość określoną w pliku konfiguracyjnym.

--ingroup GRUPA
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the configuration file. This affects the users primary group. To add additional groups, see the add_extra_groups option

--no-create-home
    Nie tworzy katalogu domowego, nawet jeżeli on nie istnieje.

--quiet
    Pomija informacje, pokazuje tylko ostrzeżenia i błędy.

--debug
    Tryb gadatliwy, przydatny w czasie rozwiązywania problemów w programie adduser.

--system
    Create a system user or group.

--uid ID
    Force the new userid to be the given number. adduser will fail if the userid is already taken.

--firstuid ID
    Override the first uid in the range that the uid is chosen from (overrides FIRST_UID specified in the configuration file).

--lastuid ID
    Override the last uid in the range that the uid is chosen from ( LAST_UID )

--add_extra_groups
    Add new user to extra groups defined in the configuration file.

--version
    Wyświetla informację o wersji i prawach autorskich.

EXIT VALUES

0   The user exists as specified. This can have 2 causes: The user was created by adduser or the user was already present on the system before adduser was invoked. Invoking adduser a second time with the same parameters as before also returns 0.

1   Creating the user or group failed because it was already present with other UID/GID than specified. The username or groupname was rejected because of a mismatch with the configured regular expressions, see adduser.conf(5). Adduser has been aborted by a signal.
    Or for many other yet undocumented reasons which are printed to console then. You may then consider to remove --quiet to make adduser more verbose.

PLIKI

/etc/adduser.conf
    Default configuration file for adduser and addgroup

ZOBACZ TAKŻE
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), punkt 9.2.2 dokumentu Debian Policy.

TŁUMACZENIE
Robert Luberda <robert@debian.org>, październik 2005 r.

PRAWA AUTORSKIE
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications by Roland Bauerschmidt and Marc Haber. Additional patches by Joerg Hoh and Stephen Gran.
Copyright (C) 1995 Ted Hajek, z dużym wkładem oryginalnego programu adduser z Debiana.
Copyright (C) 1994 Ian Murdock. adduser jest wolnym oprogramowaniem, warunki licencji - patrz GNU General Public Licence w wersji 2 lub wyższej. Nie ma żadnych gwarancji.